@echo off

rem ********************************************************************************
rem *
rem * Add-Drivers-To-ADS.bat
rem *
rem * This file copies all the required drivers to the ADS Server to enable
rem * usage of remote servers by ADS.
rem *
rem *
rem ********************************************************************************


call msiadspt.bat
set SRC=%CD_ROM%\sguide\w2003drv\$oem$\$1\drv
set DEST=%ADS_PATH%\nbs\repository\User\PreSystem

:BEGIN

rem ********************************************************************************
rem * Check to see if the ServerGuide CD is present
rem ********************************************************************************

if not exist %SRC%\drvset.ini goto ERROR

rem ********************************************************************************
rem * Run dscan to generate the textmode drivers for ADS
rem ********************************************************************************

..\utils\win32\dscan.exe "%SRC%" /T:"%DEST%" /OW /W:1

rem ********************************************************************************
rem * Run ddcopy to copy the network drivers to the ADS server
rem ********************************************************************************

..\utils\win32\ddcopy.exe "%SRC%" "%DEST%" /ADS

goto END

:ERROR
echo The ServerGuide CD was not found. 
echo Please insert the ServerGuide CD
echo Or Press CTRL-C to cancel.
echo .
pause

goto BEGIN

:END
echo .
echo ADS Driver Integration Complete.
echo .
pause
